// -*-C++-*-
/*!
 * @file  DemultiplexerSVC_impl.cpp
 * @brief Service implementation code of Demultiplexer.idl
 *
 */

#include "DemultiplexerSVC_impl.h"
#include <iostream>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define BOOL 5

/*
 * Example implementational code for IDL interface demultiplexer
 */
demultiplexerSVC_impl::demultiplexerSVC_impl()
{
  // Please add extra constructor code here.
}


demultiplexerSVC_impl::~demultiplexerSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern int svc_type;
extern int svc_num;

CORBA::Long demultiplexerSVC_impl::SetStatus(CORBA::Long& datatype, CORBA::Long& array_size)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE && datatype!=BOOL){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }
  if(1 > array_size || array_size > 10){
    std::cout << "OutPort_Num ERROR." << std::endl;
    return -1;
  }
  svc_flag = true;
  svc_type = (int)datatype;
  svc_num  = (int)array_size;

  return 0;
}



// End of example implementational code



