// -*-C++-*-
/*!
 * @file  DerivativerSVC_impl.h
 * @brief Service implementation header of Derivativer.idl
 *
 */

#include "DerivativerSkel.h"


#ifndef DERIVATIVERSVC_IMPL_H
#define DERIVATIVERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface derivativer
 */
class derivativerSVC_impl
 : public virtual POA_derivativer,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~derivativerSVC_impl();

 public:
   // standard constructor
   derivativerSVC_impl();
   virtual ~derivativerSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype);

};



#endif // DERIVATIVERSVC_IMPL_H


