// -*-C++-*-
/*!
 * @file  DuplicatorSVC_impl.h
 * @brief Service implementation header of Duplicator.idl
 *
 */

#include "DuplicatorSkel.h"


#ifndef DUPLICATORSVC_IMPL_H
#define DUPLICATORSVC_IMPL_H
 
/*
 * Example class implementing IDL interface duplicator
 */
class duplicatorSVC_impl
 : public virtual POA_duplicator,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~duplicatorSVC_impl();

 public:
   // standard constructor
   duplicatorSVC_impl();
   virtual ~duplicatorSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Long& outport_num);

};



#endif // DUPLICATORSVC_IMPL_H


