// -*-C++-*-
/*!
 * @file  MultiplexerSVC_impl.cpp
 * @brief Service implementation code of Multiplexer.idl
 *
 */

#include "MultiplexerSVC_impl.h"
#include <iostream>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define BOOL 5

/*
 * Example implementational code for IDL interface multiplexer
 */
multiplexerSVC_impl::multiplexerSVC_impl()
{
  // Please add extra constructor code here.
}


multiplexerSVC_impl::~multiplexerSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern int svc_type;
extern int svc_num;

CORBA::Long multiplexerSVC_impl::SetStatus(CORBA::Long& datatype, CORBA::Long& inport_num)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE && datatype!=BOOL){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }
  if(1 > inport_num || inport_num > 10){
    std::cout << "InPort_Num ERROR." << std::endl;
    return -1;
  }
  svc_flag = true;
  svc_type = (int)datatype;
  svc_num  = (int)inport_num;

  return 0;
}



// End of example implementational code



