// -*-C++-*-
/*!
 * @file  SelecterIIIOSVC_impl.h
 * @brief Service implementation header of SelecterIIIO.idl
 *
 */

#include "SelecterIIIOSkel.h"


#ifndef SELECTERIIIOSVC_IMPL_H
#define SELECTERIIIOSVC_IMPL_H
 
/*
 * Example class implementing IDL interface selecteriiio
 */
class selecteriiioSVC_impl
 : public virtual POA_selecteriiio,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~selecteriiioSVC_impl();

 public:
   // standard constructor
   selecteriiioSVC_impl();
   virtual ~selecteriiioSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Long& inport_num);
   CORBA::Long SelectPort(CORBA::Long& select);
   CORBA::Long GetPort();

};



#endif // SELECTERIIIOSVC_IMPL_H


