// -*-C++-*-
/*!
 * @file  DemultiplexerSVC_impl.h
 * @brief Service implementation header of Demultiplexer.idl
 *
 */

#include "DemultiplexerSkel.h"


#ifndef DEMULTIPLEXERSVC_IMPL_H
#define DEMULTIPLEXERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface demultiplexer
 */
class demultiplexerSVC_impl
 : public virtual POA_demultiplexer,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~demultiplexerSVC_impl();

 public:
   // standard constructor
   demultiplexerSVC_impl();
   virtual ~demultiplexerSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Long& array_size);

};



#endif // DEMULTIPLEXERSVC_IMPL_H


