// -*-C++-*-
/*!
 * @file  SummaterSVC_impl.h
 * @brief Service implementation header of Summater.idl
 *
 */

#include "SummaterSkel.h"


#ifndef SUMMATERSVC_IMPL_H
#define SUMMATERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface summater
 */
class summaterSVC_impl
 : public virtual POA_summater,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~summaterSVC_impl();

 public:
   // standard constructor
   summaterSVC_impl();
   virtual ~summaterSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Long& inport_num, CORBA::Long& plus_num);

};



#endif // SUMMATERSVC_IMPL_H


